/*
 * zGo2PartPositionX.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PARTPOSITIONX_H_INCLUDED
#define LMITECH_GO2PARTPOSITIONX_H_INCLUDED

#include <Go2Measurements/Go2PartPositionX.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2PartPositionX Class 
 */

typedef struct Go2PartPositionXClass
{   
    GO2_PART_MEASUREMENT_FIELDS(); 

    Go2PartFeature3d feature;
} Go2PartPositionXClass; 

GO2_EXPORT(Go2Status) Go2PartPositionX_Construct(Go2PartPositionX* measurement, Go2UInt32 id, Go2System system); 
GO2_EXPORT(Go2Status) Go2PartPositionX_Init(Go2PartPositionX measurement, Go2UInt32 id, Go2System system);
GO2_EXPORT(Go2Status) Go2PartPositionX_VRelease(Go2PartPositionX measurement);
GO2_EXPORT(Go2Status) Go2PartPositionX_VRead(Go2PartPositionX measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2PartPositionX_VWrite(Go2PartPositionX measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
